curl -X GET 'https://api.example.com/role-assignments?membershipIds=mem_1,mem_2' \
-H 'Authorization: Bearer YOUR_TOKEN'
const axios = require('axios');
const { data } = await axios.get('https://api.example.com/role-assignments', {
params: { membershipIds: 'mem_1,mem_2' },
headers: { 'Authorization': 'Bearer YOUR_TOKEN' },
});
[
{
"id": "ra_123",
"roleId": "role_456",
"membershipId": "mem_1"
},
{
"id": "ra_124",
"roleId": "role_789",
"membershipId": "mem_2"
}
]
Role Assignments
Get Role Assignments
Get role assignments for one or more memberships
GET
/
role-assignments
curl -X GET 'https://api.example.com/role-assignments?membershipIds=mem_1,mem_2' \
-H 'Authorization: Bearer YOUR_TOKEN'
const axios = require('axios');
const { data } = await axios.get('https://api.example.com/role-assignments', {
params: { membershipIds: 'mem_1,mem_2' },
headers: { 'Authorization': 'Bearer YOUR_TOKEN' },
});
[
{
"id": "ra_123",
"roleId": "role_456",
"membershipId": "mem_1"
},
{
"id": "ra_124",
"roleId": "role_789",
"membershipId": "mem_2"
}
]
Query Parameters
string
required
Comma-separated list of membership IDs to get role assignments for
Response
Returns an array of role assignment objects.array
curl -X GET 'https://api.example.com/role-assignments?membershipIds=mem_1,mem_2' \
-H 'Authorization: Bearer YOUR_TOKEN'
const axios = require('axios');
const { data } = await axios.get('https://api.example.com/role-assignments', {
params: { membershipIds: 'mem_1,mem_2' },
headers: { 'Authorization': 'Bearer YOUR_TOKEN' },
});
[
{
"id": "ra_123",
"roleId": "role_456",
"membershipId": "mem_1"
},
{
"id": "ra_124",
"roleId": "role_789",
"membershipId": "mem_2"
}
]
Was this page helpful?
⌘I